Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/py-requests-oauth: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 24 Dec 2014 01:32:59 -0600

---
 testing/py-requests-oauth/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-requests-oauth/APKBUILD
diff --git a/testing/py-requests-oauth/APKBUILD b/testing/py-requests-oauth/APKBUILD
new file mode 100644
index 0000000..142ab00
--- /dev/null
+++ b/testing/py-requests-oauth/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=py-requests-oauthlib
+_pkgname=requests-oauthlib
+pkgver=0.4.1
+pkgrel=0
+pkgdesc="First-class OAuth library support for Requests"
+url="https://pypi.python.org/pypi/requests-oauthlib"
+arch="noarch"
+license="GPL"
+depends="python py-requests py-oauthlib"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="4e5125f249580ae4f815d7291f505124  requests-oauthlib-0.4.1.tar.gz"
+sha256sums="c6d2550c4fefc2a03d7422caf61e72ca7827854e0deefe201deb34a91527d88e  requests-oauthlib-0.4.1.tar.gz"
+sha512sums="ebe3f891e4ca4cfd36a704ac711041390bb1b1d11d7c66473159183e5479053c7f515f4bd64d6969166258d1960863cd6427bf42ccd30d08baad90b388e535de  requests-oauthlib-0.4.1.tar.gz"
-- 
2.2.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Dec 24 2014 - 01:32:59 GMT